Master Wallet Get Quote
Swap
Master Wallet Get Quote
This endpoint allows you to retrieve a quote for swapping assets.
Body Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| fromAssetId | true | string | The master wallet asset id to swap from. |
| toAssetId | true | string | The master wallet asset id to swap to. |
| amount | true | string | The source amount when amountSide is source, or the target amount when amountSide is target. |
| amountSide | false | string | source or target. Defaults to source. Use target to request an exact destination amount. |
| recipientAddress | false | string | The external address you want to swap to |
| order | false | string | eg, FASTEST, CHEAPEST, RECOMMENDED, NO_SLIPPAGE |
POST
Master Wallet Get Quote
Autorisations
Paramètres de chemin
Exemple:
"YOUR_WALLET_ID"
Corps
application/json
The asset ID to swap from.
Exemple:
"eda105b9-9471-4149-adb3-7dbf285ec0ab"
The asset ID to swap to.
Exemple:
"84c8ad33-1450-4d61-9f8f-f0505039f2ec"
The source amount when amountSide is source, or the target amount when amountSide is target.
Exemple:
"1000"
Use source when amount is the asset amount to spend. Use target when amount is the destination asset amount to receive.
Options disponibles:
source, target Exemple:
"source"
The external address you want to swap to.
Quote preference.
Options disponibles:
FASTEST, CHEAPEST, RECOMMENDED, NO_SLIPPAGE Exemple:
"RECOMMENDED"

